Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 624089 - [Beaker][cmd_workflow_kernel] role= getting parm options not <parms>
[Beaker][cmd_workflow_kernel] role= getting parm options not <parms>
Status: CLOSED NOTABUG
Product: Beaker
Classification: Community
Component: scheduler (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Bill Peck
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-13 11:58 EDT by Jeff Burke
Modified: 2010-08-31 12:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-31 12:29:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Burke 2010-08-13 11:58:28 EDT
Description of problem:
In the kenrel workflow. I use the below code snippet. 

<snip>
if arch == 'ia64':
    pkgparms = []
    pkgparms.append("PKGARGNAME=xen-ia64-guest-firmware")
    recipe.addTask("/distribution/pkginstall", (pkgparms))       
</snip>

It results in the following xml
<task name="/distribution/pkginstall" role="['PKGARGNAME=xen-ia64-guest-firmware']">
    <params/>
</task>

It should result in this:

<task name="/distribution/pkginstall" role="STANDALONE">
    <params>
        <param name="PKGARGNAME" value="xen-ia64-guest-firmware"/>
    </params>
</task>   


See: Recipe ID R:22698
Comment 1 Jeff Burke 2010-08-13 12:25:31 EDT
Changing the workflow to the below resolved the issue:

<snip>
if arch == 'ia64':
    pkgparms = []
    pkgparms.append("PKGARGNAME=xen-ia64-guest-firmware")
    recipe.addTask("/distribution/pkginstall", taskParams=pkgparms)
        <task name="/distribution/pkginstall" role="STANDALONE">
            <params>
                <param name="PKGARGNAME" value="xen-ia64-guest-firmware"/>
            </params>
        </task>


</snip>

Note You need to log in before you can comment on or make changes to this bug.